cURL
curl -X DELETE "$EXSITED_BASE_URL/api/v4/accounts/ACC0001/contacts/con_8b1f4c2d6e9a4f3b8c7d1e2f3a4b5c6d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.accounts.delete_account_contact(
"ACC0001", "con_8b1f4c2d6e9a4f3b8c7d1e2f3a4b5c6d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accounts.deleteAccountContact('ACC0001', 'con_8b1f4c2d6e9a4f3b8c7d1e2f3a4b5c6d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accounts->deleteAccountContact(
'ACC0001',
'con_8b1f4c2d6e9a4f3b8c7d1e2f3a4b5c6d',
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.accounts().deleteAccountContact("ACC0001", "con_8b1f4c2d6e9a4f3b8c7d1e2f3a4b5c6d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Accounts.DeleteAccountContactAsync(
"ACC0001",
"con_8b1f4c2d6e9a4f3b8c7d1e2f3a4b5c6d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accounts.deleteAccountContact(
'ACC0001',
'con_8b1f4c2d6e9a4f3b8c7d1e2f3a4b5c6d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Accounts().DeleteAccountContact(context.Background(), "ACC0001", "con_8b1f4c2d6e9a4f3b8c7d1e2f3a4b5c6d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Accounts
Delete a contact
Removes one contact from an account.
DELETE
/
accounts
/
{account_id}
/
contacts
/
{contact_id}
cURL
curl -X DELETE "$EXSITED_BASE_URL/api/v4/accounts/ACC0001/contacts/con_8b1f4c2d6e9a4f3b8c7d1e2f3a4b5c6d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.accounts.delete_account_contact(
"ACC0001", "con_8b1f4c2d6e9a4f3b8c7d1e2f3a4b5c6d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accounts.deleteAccountContact('ACC0001', 'con_8b1f4c2d6e9a4f3b8c7d1e2f3a4b5c6d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accounts->deleteAccountContact(
'ACC0001',
'con_8b1f4c2d6e9a4f3b8c7d1e2f3a4b5c6d',
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.accounts().deleteAccountContact("ACC0001", "con_8b1f4c2d6e9a4f3b8c7d1e2f3a4b5c6d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Accounts.DeleteAccountContactAsync(
"ACC0001",
"con_8b1f4c2d6e9a4f3b8c7d1e2f3a4b5c6d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accounts.deleteAccountContact(
'ACC0001',
'con_8b1f4c2d6e9a4f3b8c7d1e2f3a4b5c6d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Accounts().DeleteAccountContact(context.Background(), "ACC0001", "con_8b1f4c2d6e9a4f3b8c7d1e2f3a4b5c6d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Name the contact by its
con_ id. Returns 204 with no content.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The account's id, such as ACC0001. Not its uuid.
The contact's con_ id. A slot name such as CONTACT_1 returns 404 here.
Response
The contact is removed.